# GstGLBaseMixer

GstGLBaseMixer handles the nitty gritty details of retrieving an OpenGL context. It provides some virtual methods to know when the OpenGL context is available and is not available within this element.

## GstGLBaseMixer

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAggregator
                        ╰──GstVideoAggregator
                            ╰──GstGLBaseMixer
                                ╰──GstGLMixer

### Members

`parent` (GstVideoAggregator) –

parent GstVideoAggregator

`display` (GstGLDisplay *) –

the currently configured GstGLDisplay

`context` (GstGLContext *) –

the currently configured GstGLContext

Since : 1.24

### Class structure

#### GstGLBaseMixerClass

##### Fields

`parent_class` (GstVideoAggregatorClass) –

the parent GstVideoAggregatorClass

`supported_gl_api` (GstGLAPI) –

the logical-OR of GstGLAPI's supported by this element

Since : 1.24

### GstGL.GLBaseMixerClass

##### Attributes

`parent_class` (GstVideo.VideoAggregatorClass) –

the parent GstVideo.VideoAggregatorClass

`supported_gl_api` (GstGL.GLAPI) –

the logical-OR of GstGL.GLAPI's supported by this element

Since : 1.24

### GstGL.GLBaseMixerClass

##### Attributes

`parent_class` (GstVideo.VideoAggregatorClass) –

the parent GstVideo.VideoAggregatorClass

`supported_gl_api` (GstGL.GLAPI) –

the logical-OR of GstGL.GLAPI's supported by this element

Since : 1.24

## GstGL.GLBaseMixer

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstBase.Aggregator
                        ╰──GstVideo.VideoAggregator
                            ╰──GstGL.GLBaseMixer
                                ╰──GstGL.GLMixer

### Members

`parent` (GstVideo.VideoAggregator) –

parent GstVideo.VideoAggregator

`display` (GstGL.GLDisplay) –

the currently configured GstGL.GLDisplay

`context` (GstGL.GLContext) –

the currently configured GstGL.GLContext

Since : 1.24

## GstGL.GLBaseMixer

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstBase.Aggregator
                        ╰──GstVideo.VideoAggregator
                            ╰──GstGL.GLBaseMixer
                                ╰──GstGL.GLMixer

### Members

`parent` (GstVideo.VideoAggregator) –

parent GstVideo.VideoAggregator

`display` (GstGL.GLDisplay) –

the currently configured GstGL.GLDisplay

`context` (GstGL.GLContext) –

the currently configured GstGL.GLContext

Since : 1.24

### Methods

#### gst_gl_base_mixer_get_gl_context

    GstGLContext *
    gst_gl_base_mixer_get_gl_context (GstGLBaseMixer * mix)

Parameters:

`mix` –

a GstGLBaseMixer

Returns ( [transfer: full][nullable]) –

the GstGLContext found by mix

Since : 1.24

#### GstGL.GLBaseMixer.prototype.get_gl_context

    function GstGL.GLBaseMixer.prototype.get_gl_context(): {
        // javascript wrapper for 'gst_gl_base_mixer_get_gl_context'
    }

Parameters:

`mix` (GstGL.GLBaseMixer) –

a GstGL.GLBaseMixer

Returns (GstGL.GLContext) –

the GstGL.GLContext found by mix

Since : 1.24

#### GstGL.GLBaseMixer.get_gl_context

    def GstGL.GLBaseMixer.get_gl_context (self):
        #python wrapper for 'gst_gl_base_mixer_get_gl_context'

Parameters:

`mix` (GstGL.GLBaseMixer) –

a GstGL.GLBaseMixer

Returns (GstGL.GLContext) –

the GstGL.GLContext found by mix

Since : 1.24

### Properties

#### context

    “context” GstGLContext *

The GstGLContext in use by this GstGLBaseMixer

Flags : Read

Since : 1.24

#### context

    “context” GstGL.GLContext

The GstGL.GLContext in use by this GstGL.GLBaseMixer

Flags : Read

Since : 1.24

#### context

    “self.props.context” GstGL.GLContext

The GstGL.GLContext in use by this GstGL.GLBaseMixer

Flags : Read

Since : 1.24

### Virtual Methods

#### gl_start

    gboolean
    gl_start (GstGLBaseMixer * mix)

called in the GL thread to setup the element GL state.

Parameters:

`mix` –
No description available
Returns –

whether the start was successful

Since : 1.24

#### vfunc_gl_start

    function vfunc_gl_start(mix: GstGL.GLBaseMixer): {
        // javascript implementation of the 'gl_start' virtual method
    }

called in the GL thread to setup the element GL state.

Parameters:

`mix` (GstGL.GLBaseMixer) –
No description available
Returns (Number) –

whether the start was successful

Since : 1.24

#### do_gl_start

    def do_gl_start (mix):
        #python implementation of the 'gl_start' virtual method

called in the GL thread to setup the element GL state.

Parameters:

`mix` (GstGL.GLBaseMixer) –
No description available
Returns (bool) –

whether the start was successful

Since : 1.24

#### gl_stop

    gl_stop (GstGLBaseMixer * mix)

called in the GL thread to setup the element GL state.

Parameters:

`mix` –
No description available

Since : 1.24

#### vfunc_gl_stop

    function vfunc_gl_stop(mix: GstGL.GLBaseMixer): {
        // javascript implementation of the 'gl_stop' virtual method
    }

called in the GL thread to setup the element GL state.

Parameters:

`mix` (GstGL.GLBaseMixer) –
No description available

Since : 1.24

#### do_gl_stop

    def do_gl_stop (mix):
        #python implementation of the 'gl_stop' virtual method

called in the GL thread to setup the element GL state.

Parameters:

`mix` (GstGL.GLBaseMixer) –
No description available

Since : 1.24

## GstGLBaseMixerPad

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstPad
                    ╰──GstAggregatorPad
                        ╰──GstVideoAggregatorPad
                            ╰──GstGLBaseMixerPad
                                ╰──GstGLMixerPad

### Members

`parent` (GstVideoAggregatorPad) –

parent GstVideoAggregatorPad

Since : 1.24

### Class structure

#### GstGLBaseMixerPadClass

##### Fields

`parent_class` (GstVideoAggregatorPadClass) –

parent GstVideoAggregatorPadClass

Since : 1.24

### GstGL.GLBaseMixerPadClass

##### Attributes

`parent_class` (GstVideo.VideoAggregatorPadClass) –

parent GstVideo.VideoAggregatorPadClass

Since : 1.24

### GstGL.GLBaseMixerPadClass

##### Attributes

`parent_class` (GstVideo.VideoAggregatorPadClass) –

parent GstVideo.VideoAggregatorPadClass

Since : 1.24

## GstGL.GLBaseMixerPad

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Pad
                    ╰──GstBase.AggregatorPad
                        ╰──GstVideo.VideoAggregatorPad
                            ╰──GstGL.GLBaseMixerPad
                                ╰──GstGL.GLMixerPad

### Members

`parent` (GstVideo.VideoAggregatorPad) –

parent GstVideo.VideoAggregatorPad

Since : 1.24

## GstGL.GLBaseMixerPad

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Pad
                    ╰──GstBase.AggregatorPad
                        ╰──GstVideo.VideoAggregatorPad
                            ╰──GstGL.GLBaseMixerPad
                                ╰──GstGL.GLMixerPad

### Members

`parent` (GstVideo.VideoAggregatorPad) –

parent GstVideo.VideoAggregatorPad

Since : 1.24

The results of the search are